/** Shopify CDN: Minification failed

Line 1633:0 Expected "}" to go with "{"

**/
.main_product_inner {
    display: flex;
    grid-gap: var(--horizontal-spacing);
}
.main_product_inner.show_media2{
    flex-direction:row-reverse;
    grid-gap: var(--horizontal-spacing);
}

/* PRODUCT MEDIA */
.main_product_media_wrapper.media--small {
    max-width: 45%;
    flex: 1 1 45%;
    width: 100%;
     z-index: 1;
}

.main_product_media_wrapper.media--medium {
    max-width: 55%;
    flex: 1 1 55%;
    width: 100%;
     z-index: 1;
}

.main_product_media_wrapper.media--large {
    max-width: 65%;
    flex: 1 1 65%;
    width: 100%;
     z-index: 1;
}

.main_product_featured_image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--img-border-radius);
    object-fit: var(--media-size)
}

.product_single_column_media_wrapper {
    display: flex;
    flex-flow: column;
    gap: 1.5rem;
}

.product_double_column_media_wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
}

.main_product_thumbnails_media {
    display: flex;
    gap: 1.5rem;
    flex-wrap: wrap;
}

.main_product_thumbnails_media.has_bg {
    background: var(--card-bg);
    border-radius: var(--img-border-radius);
}

.main_product_thumbnail_image,
.main_product_thumbnail_video,
.main_product_thumbnail_external_video,
.main_product_thumbnail_model,
.product_double_column_media_wrapper .main_product_featured_image {
    max-width: calc(50% - 1.5rem / 2);
    flex: 0 0 calc(50% - 1.5rem / 2);
}

.main_product_thumbnail_image img {
    width: 100%;
    height: 100%;
    border-radius: var(--img-border-radius);
    /* aspect-ratio: 1; */
    object-fit: var(--media-size);
}

.main_product_thumbnail_video video, .main_product_thumbnail_external_video video, .main_product_thumbnail_external_video iframe {
    width: 100%;
    height: 100%;
    object-fit: var(--media-size);
    border-radius: var(--img-border-radius);
    min-height: 30rem;
}

.product_double_column_media_wrapper.single_media .main_product_featured_image {
    max-width: 100%;
    flex: 100%;
}

.main_product_media svg.placeholder_svg {
    background: #0000000d;
    border-radius: var(--img-border-radius);
    width: 100%;
    height: 100%;
}

.main_product_featured_media.constrain_media img,
.main_product_featured_media.constrain_media video,
.main_product_featured_media.constrain_media iframe {
    aspect-ratio: 1;
}

.main_product_thumbnail_video, .main_product_thumbnail_external_video {
    position: relative;
    cursor: pointer;
}

.main_product_thumbnail_external_video {
    overflow: hidden;
    border-radius: var(--img-border-radius);
}

.main_product_thumbnail_external_video .external_vdo_overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.main_product_thumbnail_video .play_vdo_icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    pointer-events: none;
    transition: opacity 0.3s;
}

.main_product_thumbnail_video .play_vdo_icon.hide {
    opacity: 0;
}

.main_product_thumbnail_video .play_vdo_icon svg {
    width: 5rem;
    height: 5rem;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(10px);
}

.main_product_thumbnail_video .play_vdo_icon svg path {
    fill: #fff;
}

.main_product_thumbnail_model model-viewer {
    width: 100%;
    height: 100%;
    min-height: 30rem;   
}

.main_product_thumbnail_model {
    background: #fff;
    border-radius: var(--img-border-radius);
    overflow: hidden;
    z-index: 0;
}

.main_product_thumbnail_external_video video, .main_product_thumbnail_external_video iframe {
    height: auto;
    max-height: 35rem;
}

.main_product_thumbnail_video video {
    aspect-ratio: 1;
}

.main_product_thumbnail_model product-model {
    width: 100%;
    height: 100%;
    display: block;
    border-radius: var(--img-border-radius);
    position: relative;
}

.product_double_column_media_wrapper .main_product_featured_video,
.product_double_column_media_wrapper .main_product_featured_external_video,
.product_double_column_media_wrapper .main_product_featured_model {
    position: relative;
    max-width: calc(50% - .75rem);
    flex: 0 0 calc(50% - .75rem);
    cursor: pointer;
}

.product_single_column_media_wrapper .main_product_featured_video,
.product_single_column_media_wrapper .main_product_featured_external_video,
.product_single_column_media_wrapper .main_product_featured_model {
    position: relative;
    max-width: 100%;
    flex: 0 0 100%;
    cursor: pointer;
}

.main_product_featured_video video, .main_product_featured_external_video iframe {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--img-border-radius);
    min-height: 30rem;
    aspect-ratio: 1;
}

.main_product_featured_external_video .external_vdo_overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.main_product_featured_video .play_vdo_icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    pointer-events: none;
    transition: opacity .3s;
}

.main_product_featured_video .play_vdo_icon svg {
    width: 5rem;
    height: 5rem;
    border-radius: 50%;
    background: #fff3;
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
}

.main_product_featured_video .play_vdo_icon svg path {
    fill: #fff;
}

.main_product_featured_video .play_vdo_icon.hide {
    opacity: 0;
}

.main_product_featured_model {
    background: #fff;
    border-radius: var(--img-border-radius);
    overflow: hidden;
    z-index: 0;
}

.main_product_featured_model product-model {
    width: 100%;
    height: 100%;
    display: block;
    border-radius: var(--img-border-radius);
    position: relative;
}

.main_product_featured_model model-viewer {
    width: 100%;
    height: 100%;
    min-height: 30rem;
}

/* PRODUCT INFO */
.main_product_info {
    max-width: 100%;
    flex: 1;
    padding-left: 4rem;
}

.main_product_info.media--small {
    max-width: 50%;
    flex: 1 1 50%;
}

.main_product_info.media--medium {
    max-width: 45%;
    flex: 1 1 45%;
}

.main_product_info.media--large {
    max-width: 35%;
    flex: 1 1 35%;
}

.main_product_info_inner {
    position: sticky;
    top: calc(var(--header-height) + 3rem);
}

.product_div:first-child {
    margin-top: 0;
}

.main_product_div {
    margin: 1rem 0;
}

.main_product_div:first-child {
    margin-top: 0;
}

.main_product_div.main_product_vendor span {
    font-size: 1.4rem;
    line-height: calc(1.4rem * 1.6);
    text-transform: var(--text-style);
    color: var(--color);
}

.product_price_inner.is_product_section {
    display: flex;
    gap: 3rem;
    flex-wrap: wrap;
    align-items: center;
}

.product_price_inner_main.product_section {
    display: flex;
    align-items: baseline;
}

span.is_product_section.product_block_price.body_text {
    font-size: 2.4rem;
    line-height: 1;
    font-weight: 500;
    letter-spacing: 0;
    margin-right: 1.6rem;
    color: var(--color-text);
}

.product_price_inner_main.product_section .product_block_cap {
    display: flex;
    align-items: center;
    font-size: 1.6rem;
    line-height: 1;
    color: var(--color-text);
    opacity: 0.5;
    letter-spacing: 0;
}

.product_block_badge.pc_badge_sale,
.product_block_badge.pc_badge_sold_out {
    padding: 0.5rem 2rem;
    border-radius: var(--badge-border-radius);
    background: var(--color-background);
}

.product_block_badge.pc_badge_sale span,
.product_block_badge.pc_badge_sold_out span {
    font-size: 1.4rem;
    letter-spacing: 0;
    line-height: 1;
    color: var(--color-text);
}

small.unit-price.is_product_section span {
    color: var(--color-text);
}

.main_product_div.separator {
    width: 100%;
    height: 0.1rem;
    background: var(--separator_color);
    opacity: var(--opacity);
}

.main_product_div.main_product_variant_picker_wrapper {
    margin: 2rem 0;
}

variant-picker {
    display: flex;
    flex-flow: column;
    gap: 2.6rem;
}

.variant-picker {
  display: flex;
}

.variant-picker.inline {
  flex-flow: row;
  gap: 12px;
}

.variant-picker.stack {
  flex-flow: column;
  gap: 12px;
}


@media(max-width:768px){
    
.variant-picker.inline {
  flex-flow: column;
  gap: 12px;
}
}
.main_product_options_wrapper {
    display: flex;
    flex-flow: column;
    gap: 1.6rem;
}

.main_product_options_header h4 {
    font-family: var(--font-body-family);
    font-size: 1.6rem;
    line-height: 1;
    color: var(--color-text);
}

.main_product_options_header h4 span {
    font-size: 1.5rem;
    line-height: 1;
}

.main_product_values_wrapper select {
   -webkit-appearance: none;
    appearance: none;
    --webkit-appearance: none;
    padding: 1.2rem 1.5rem;
    min-width: 25rem;
    max-width: 30rem;
    width: 100%;
    border: 1px solid var(--border);
    font-size: 1.4rem;
    line-height: calc(1.4rem * 1.6);
    color: var(--color-input-text);
    cursor: pointer;
    border-radius: var(--input-border-radius);
    background: var(--color-input-bg);
}

.main_product_values_wrapper {
    position: relative;
    width: fit-content;
    display: flex;
}

.main_product_values_wrapper svg {
    width: 1.8rem;
    height: 1.8rem;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 1rem;
    pointer-events: none;
}

.main_product_values_wrapper svg path {
    fill: var(--color-text);
}

.main_product_option_values_wrapper.type_button {
    display: flex;
    gap: 1.6rem;
    flex-wrap: wrap;
}

.main_product_option_values_wrapper.type_button label {
    border: 1px solid var(--border);
    padding: 5px 10px;
    color: var(--color-text);
    cursor: pointer;
    min-width: 4rem;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background 0.3s, color 0.3s;
    border-radius: var(--var-border-radius);
}

.main_product_option_values_wrapper.type_button input:checked+label {
    background: var(--color-primary-button-bg);
    border-color: var(--color-primary-button-bg);
    color: var(--color-primary-button-text);
}

.main_product_option_values_wrapper.type_button input:checked+label.swatch_label {
    border: 1px solid #000;
}

.main_product_values_wrapper input:disabled + label {
    opacity: 0.5;
    cursor: not-allowed;
}

label.swatch_label {
    width: 3rem;
    height: 3rem;
    padding: 0 !important;
    font-size: 0;
    min-width: 3rem !important;
    background: transparent !important;
    position: relative;
}

label.swatch_label.swatch__circle, label.swatch_label.swatch__circle .label_swatch_inner {
    border-radius: 50%;
}

.label_swatch_inner {
    width: calc(100% - 4px);
    height: calc(100% - 4px);
    display: flex;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.main_product_div.main_product_action_btns_wrapper {
    margin: 3rem 0 1rem;
}

.product_form_btns_wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    max-width: 55rem;
}

.product_form_btns_wrapper button, .shopify-payment-button {
    height: 5rem;
    flex-grow: 1;
    cursor: pointer;
    border-radius: var(--button-border-radius);
}

.shopify-payment-button {
    height: 100%;
}

a#more-payment-options-link {
    font-size: 1.3rem;
    text-underline-offset: 2px;
}

span.product_add_error {
    font-size: 1.2rem;
    line-height: calc(1.2rem * 1.4);
    color: #ff0b0b;
}

span.in_stock_pre_order, span.out_of_stock, span.in_stock, span.threshold {
    color: var(--color);
    position: relative;
    display: flex;
    z-index: 1;
    padding: 0.5rem 2rem;
    max-width: fit-content;
    border-radius: 5px;
}

span.in_stock_pre_order:before,
span.out_of_stock:before,
span.in_stock:before,
span.threshold:before {
    content: '';
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    width: 1rem;
    height: 1rem;
    background: var(--color);  
    border-radius: 50%;  
}

.product_form_submit_button:disabled {
    cursor: not-allowed;
    opacity: 0.5;
}

.product_form_submit_button:disabled:hover {
    background: var(--color-primary-button-bg);
    color: var(--color-primary-button-text);
    border-color: var(--color-primary-button-border);
}

.product_form_submit_button:disabled + div.shopify-payment-button {
    pointer-events: none;
}

.main_product_div.main_product_social_share_wrapper {
    margin: 2rem 0;
}

.social-share.social-links {
    display: flex;
    gap: 1rem;
    align-items: center;
}

p.social-share-label {
    font-size: 1.4rem;
    line-height: 1;
    color: var(--color-text);
}

ul.social-share-list {
    display: flex;
    align-items: center;
    margin: 0;
    padding: 0;
    list-style: none;
    gap: 1.6rem;
    flex-wrap: wrap;
}

ul.social-share-list svg {
    width: 1.8rem;
    height: 1.8rem;
}

ul.social-share-list svg path {
    fill: var(--color-text);
    transition: fill 0.3s;
}

ul.social-share-list a:hover svg path {
    fill: var(--color-highlight);
}

.product_sku_inner span {
    color: var(--color-text);
}

button.product_form_submit_button .loader {
    position: absolute;
    width: 2rem;
    height: 2rem;
    border: 2px solid var(--color-primary-button-text);
    border-radius: 50%;
    font-size: 0;
    border-top: 2px solid transparent;
    animation: rotate 2s infinite linear forwards;
}

button.product_form_submit_button:hover .loader {
    border: 2px solid var(--color-primary-button-hover-text);
    border-top: 2px solid transparent;
}

@keyframes rotate {
    from {
        transform: rotate(0deg);
    } to {
        transform: rotate(360deg);
    }
}

.main_product_content_wrapper {
    position: relative;
    padding: 1rem;
}

.main_product_content_wrapper.has_bg:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--color-secondary-bg);
    z-index: -1;
    opacity: 0.5;
}

.main_product_div.main_product_collapsible_wrapper.border_top {
    border-top: 1px solid var(--border);
}

.main_product_div.main_product_collapsible_wrapper.border_bottom {
    border-bottom: 1px solid var(--border);
}

.main_product_div.main_product_collapsible_wrapper summary {
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 0;
    cursor: pointer;
}

.main_product_div.main_product_collapsible_wrapper summary h5 {
    font-family: var(--font-body-family);
    font-size: 1.6rem;
    line-height: calc(1.6rem * 1.6);
    color: var(--color-text);
}

.main_product_div.main_product_collapsible_wrapper summary .square {
    width: 1.2rem;
    height: 1.2rem;
    position: relative;
}

.main_product_div.main_product_collapsible_wrapper summary .square .hori {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 100%;
    height: 1px;
    background: var(--color-text);
}

.main_product_div.main_product_collapsible_wrapper summary .square .vert {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 1px;
    height: 100%;
    background: var(--color-text);
    transition: transform 0.3s, opacity 0.3s;
}

.main_product_div.main_product_collapsible_wrapper details[open] .vert {
    transform: translateX(-50%) rotate(90deg);
    opacity: 0;
}

.giftcard_recipient_form_wrapper {
    margin: 2rem 0;
}

.recipients_input_wrapper {
    height: 0;
    overflow: hidden;
    margin: 1.6rem 0 0;
    max-width: 44rem;
    background: var(--color-secondary-bg);
    border-radius: var(--input-border-radius);
    transition: height 0.3s;
}

.recipients_input_wrapper[open] {
    height: var(--height);
}

.recipients_input_inner {
    padding: 1rem;
}

.recipients_input_toggle_wrapper {
    display: flex;
    align-items: center;
    gap: 0.7rem;
}

.recipients_input_wrapper .input_wrapper {
    margin: 0 0 1rem;
}

.recipients_input_wrapper .input_wrapper:last-child {
    margin: 0;
}

.recipients_input_toggle_wrapper label {
    font-size: 1.4rem;
    line-height: 1;
    color: var(--color-text);
    cursor: pointer;
}

.recipients_input_toggle_wrapper input {
    appearance: none;
    -webkit-appearance: none;
    width: 1.4rem;
    height: 1.4rem;
    border: 1px solid var(--color-text);
    background: transparent;
    cursor: pointer;
    transition: background 0.3s, border 0.3s;    
}

.recipients_input_toggle_wrapper input:checked { 
    background: var(--color-highlight);
    border: 1px solid var(--color-highlight);
}

.main_product_div.main_product_complementary_products_wrapper {
    margin: 2rem 0;
}

.complementary_products_head {
    margin: 0 0 2rem;
    display: flex;
    align-items: center;
    gap: 1rem;
    justify-content: space-between;
}


.complementary_products_head h2 {   
    font-size: 2rem;
    line-height: 1.2;
}

.complementary_products_inner .swiper-pagination {
    position: static;
    margin: 1rem 0 0;
    display: none;
}

.cp_arrows button {
    position: static;
    margin: 0;
    width: 2.6rem !important;
    height: 2.6rem !important;
    padding: 0;
}

.cp_arrows button svg {
    width: 1rem !important;
    height: 1rem !important;
}

.cp_arrows {
    display: flex;
    gap: 1rem;
}

.pickup_info {
    background: var(--color-secondary-bg);
    padding: 1rem;
    border-radius: var(--input-border-radius);
}

.pickup_info_container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 1rem;
}

p.pickup_main_title {
    color: var(--color-secondary-text);
    margin: 0 0 3px;
}

p.pickup_time {
    font-size: 1.2rem;
    line-height: 1.6;
    color: var(--color-secondary-text);
}

.pickup_tick_wrapper svg {
    width: 2rem;
    height: 2rem;
}

.pickup_tick_wrapper svg path {
    fill: #1daf1b;
}

.pickup_info_inner {
    display: flex;
    align-items: flex-start;
    gap: 1rem;
}

.pickup_not_available svg path {
    fill: #f00;
}

.pickup_availability_btn button {
    cursor: pointer;
}

.pickup_header {
    margin: 2rem;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    border-bottom: 1px solid var(--border);
}

.pickup_availability_content {
    margin: 0 2rem 2rem 2rem;
}

.pickup_availability_block {
    background: var(--color-secondary-bg);
    margin: 0 0 1rem;
    padding: 1rem;
    border-radius: var(--input-border-radius);
}

.pickup_availability_block:last-child {
    margin: 0 0 1rem;
}

.pickup_availability_inner {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    margin: 1rem 0 0;
}

.pickup_available_tick svg {
    width: 2rem;
    height: 2rem;
}

.pickup_available_tick svg path {
    fill: #1daf1b;
}

.pickup_availability_inner p {
    color: var(--color-secondary-text);
    letter-spacing: 0;
}

address.pickup_availability_address {
    margin: 1rem 0 0;
    font-size: 1.2rem;
    color: var(--color-secondary-text);
    padding-top: 1rem;
    position: relative;
}

address.pickup_availability_address:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background: var(--border);
    opacity: 0.2;
}

.pickup_drawer_inner {
    height: 100%;
    overflow: hidden;
    overflow-y: auto;
}

.pickup_drawer_inner::-webkit-scrollbar {
    width: 4px;
    background: #c9c9c9;
}

.pickup_drawer_inner::-webkit-scrollbar-thumb {
    background: #000000;
}

.product_page.product_tax {
    margin: 3px 0 0;
    font-size: 1.2rem;
    color: var(--color-text);
}

.product_installments_wrapper {
    margin: 1.6rem 0 0;
    font-size: 1.3rem;
    line-height: 1.4;
    color: var(--color-text);
}

.mobile_media {
    display: none;
}

.main_product_mobile_featured_image img, .main_product_mobile_featured_image svg.placeholder-svg {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: var(--img-border-radius);
}

.main_product_mobile_featured_video, .main_product_mobile_featured_external_video {
    position: relative;
}

.main_product_mobile_featured_video video, .main_product_mobile_featured_external_video iframe, .main_product_mobile_featured_model {
    width: 100%;
    height: auto;
    min-height: 35rem;
    object-fit: cover;
    border-radius: var(--img-border-radius);
    max-height: 50rem;
}

.main_product_mobile_featured_model {
    background: #fff;
}

.main_product_mobile_featured_video .play_vdo_icon {
    position: absolute;
    top: 50%;
    left: 50%;
    pointer-events: none;
    transform: translate(-50%, -50%);
    transition: opacity 0.3s;
}

.main_product_mobile_featured_video .play_vdo_icon.hide {
    opacity: 0;
}

.main_product_mobile_featured_video .play_vdo_icon svg {
    width: 5rem;
    height: 5rem;
}

.main_product_mobile_featured_video .play_vdo_icon svg {
    width: 5rem;
    height: 5rem;
    background: #fff3;
    border-radius: 50%;
    pointer-events: none;
    backdrop-filter: blur(10px);
}

.main_product_mobile_featured_video .play_vdo_icon svg path {
    fill: #fff
}

.product_mobile_main_media button.swiper_buttons {
    width: 3rem;
    height: 3rem;
    background: var(--arrows-bg);
    border-radius: var(--arrows-border-radius);
    border: 1px solid var(--arrows-text);
    padding: 0;
}

.product_mobile_main_media button.swiper_buttons:after {
    display: none;
}

.product_mobile_main_media button.swiper_buttons svg {
    width: 1.4rem;
    height: 1.4rem;
}

.product_mobile_main_media button.swiper_buttons svg path {
    fill: var(--arrows-text);
}

.main_product_mobile_featured_external_video .external_vdo_overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: var(--img-border-radius);
}

.main_product_mobile_featured_model product-model {
    width: 100%;
    height: auto;
    display: flex;
}

.shopify-model-viewer-ui {
    min-height: 25rem;
    border-radius: var(--img-border-radius);
    width: 100%;
    height: auto;
    aspect-ratio: 1;
}

.main_product_mobile_featured_model product-model model-viewer {
    width: 100%;
    height: 100%;
}

.product_mobile_thumbnail_media {
    margin: 1rem 0 0;
}

.main_product_thumbnail_media img, .main_product_thumbnail_media video, .main_product_thumbnail_media frame, .main_product_thumbnail_media product-model {
    border-radius: calc(var(--img-border-radius) / 2);
    width: 100%;
    height: 100%;
    aspect-ratio: 1;
    object-fit: cover;
}

.main_product_thumbnail_media.thumbnail_video .play_video_icon, .main_product_thumbnail_media.product_thumbnail_model .play_video_icon {
    position: absolute;
    top: 50%;
    left: 50%;
    pointer-events: none;
    transform: translate(-50%, -50%);
}

.main_product_thumbnail_media.thumbnail_video .play_video_icon svg, .main_product_thumbnail_media.product_thumbnail_model .play_video_icon svg {
    width: 2.6rem;
    height: 2.6rem;
    background: #fff3;
    border-radius: 50%;
    backdrop-filter: blur(10px);
}

.main_product_thumbnail_media.product_thumbnail_model .play_video_icon svg {
    border-radius: 0;
    backdrop-filter: none;
}

.main_product_thumbnail_media.thumbnail_video .play_video_icon svg path {
    fill: #fff;
}

.main_product_thumbnail_media.product_thumbnail_model .play_video_icon path {
    fill: #000;
}

.main_product_values_wrapper input:focus-visible + label {
    outline: 1px solid black;
    outline-offset: 3px;
}

.product_siblings_products {
    display: flex;
    gap: 1rem;
    flex-wrap: wrap;
}

.product_siblings_products a.swatch_label {
    width: 3.5rem;
    height: 3.5rem;
    font-size: 0;
    padding: 2px;
    display: flex;
    border: 1px solid #ebebeb!important;
}

.product_siblings_products a.swatch_label.active {
    border: 1px solid #000 !important;
}

.product_siblings_products a.swatch_label span {
    background: var(--background);
    display: flex;
    width: 100%;
    height: 100%;
}

.product_siblings_products a.swatch_label span img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.product_siblings_products a.swatch_label.swatch_circle, .product_siblings_products a.swatch_label.swatch_circle span, .product_siblings_products a.swatch_label.swatch_circle img {
    border-radius: 50%;
}

.product_siblings_products a.swatch_label.swatch_square, .product_siblings_products a.swatch_label.swatch_square .product_siblings_products a.swatch_label.swatch_square img {
    border-radius: 0.3rem;
}

.product_siblings_products a.swatch_label.swatch_pill {
    width: 4.6rem;
    height: 2.4rem;
    border-radius: 1.5rem;
}

.product_siblings_products a.swatch_label.swatch_pill span, .product_siblings_products a.swatch_label.swatch_pill span img {
    display: flex;
    width: 100%;
    height: 100%;
    border-radius: 1.5rem;
}

.main_product__quantity_rule_wrapper {
    margin: 1rem 0 0;
    font-size: 1.2rem;
}

.main_product_quantity_breaks_wrapper {
    margin: 1rem 0 0;
    border: 1px solid var(--border);
    width: 100%;
    max-width: 30rem;
    border-radius: var(--table-border-radius);
    overflow: hidden;
}

.quantity_breaks_heading {
    display: flex;
    background: color-mix(in srgb, var(--color-highlight) 10%, transparent);
    border-bottom: 1px solid var(--border);
}

.quantity_breaks_heading span {
    display: inline-flex;
    padding: 1rem 2rem;
    flex: 1;
    max-width: 50%;
    text-align: center;
    justify-content: center;
    font-size: 1.4rem;
}

.quantity_breaks_heading span:first-child, .quantity_breaks_content div span:first-child {
    border-right: 1px solid var(--border);
}

.quantity_breaks_content {
    display: flex;
    flex-flow: column;
}

.quantity_breaks_content div {
    display: flex;
    border-bottom: 1px solid var(--border);
}

.quantity_breaks_content div:last-child {
    border-bottom: none;
}

.quantity_breaks_content div span {
    flex: 1;
    max-width: 50%;
    text-align: center;
    padding: 1rem 2rem;
}

.main_product_featured_image.has_bg, .main_product_thumbnail_image.has_bg{
    background: var(--card-bg);
    border-radius: var(--img-border-radius);
}

/* trust badge */
.main_product_trust_badges_wrapper {
    margin: 1.6rem 0;
}
.trust_badges_head h4 {
    font-family: var(--font-body-family);
    font-size: 1.5rem;
    line-height: 1;
    color: var(--color-text);
}
.trust_badges_head.thead--left {
    text-align: left;
}
.trust_badges_head.thead--left+.trust_badges_inner ul {
    justify-content: flex-start;
}
.trust_badges_head.thead--right {
    text-align: right;
}
.trust_badges_head.thead--right+.trust_badges_inner ul {
    justify-content: flex-end;
}
.trust_badges_head.thead--center {
    text-align: center;
}
.trust_badges_head.thead--center+.trust_badges_inner ul {
    justify-content: center;
}
.trust_badges_head {
    margin: 0 0 1rem;
}
.trust_badges_inner ul {
    margin: 0;
    padding: 0;
    list-style: none;
    display: flex;
    align-items: center;
    gap: 1rem;
    flex-wrap: wrap;
}
/* size chart */
.size_chart_wrapper {
    margin: 1.6rem 0;
    display: flex;
    align-items: center;
    gap: 1rem;
    width: fit-content;
    cursor: pointer;
}
.size_chart_wrapper img {
    width: 2.4rem;
    height: 2.4rem;
}
.size_chart_popup_wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100dvh;
    z-index: 9999;
    background: #00000080;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    pointer-events: none;
    transition: opacity .3s;
}
.size_chart_popup_wrapper.active {
    opacity: 1;
    pointer-events: all;
}
.size_chart_popup_close {
    position: absolute;
    top: 1rem;
    right: 1rem;
    width: 2.4rem;
    height: 2.4rem;
    cursor: pointer;
}
.size_chart_popup_inner {
    max-width: 102.4rem;
    width: 100%;
    max-height: calc(100% - 5rem);
    height: auto;
    position: relative;
    overflow: hidden;
    overflow-y: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateY(2rem);
    opacity: 0;
    transition: transform .3s, opacity .3s;
    transition-delay: .5s;
}
.size_chart_popup_wrapper.active .size_chart_popup_inner {
    transform: translateY(0);
    opacity: 1;
}
.size_chart_popup_close {
    position: absolute;
    top: 1rem;
    right: 1rem;
    width: 2.4rem;
    height: 2.4rem;
    cursor: pointer;
}
.size_chart_popup_img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.size_chart_popup_img.desk_size_img {
    display: flex;
    width: 100%;
}
.size_chart_popup_img.mob_size_img {
    display: none;
    width: 100%;
}
.main_product_inner.add_secondary_color {
    background-color: var(--color-secondary-bg);
    border-radius: var(--section_border_radius);
}
/* --------------------------------------------------------
        DESKTOP PRODUCT THUMBNAIL
-----------------------------------------------------------*/
.desktop_media_thumbnail .thumb_desktop_thumbnail_media .swiper-wrapper {
    height: 600px;
}
.desktop_media_thumbnail .product_desk_main_media .swiper-wrapper {
    height: 100% !important;
}
.desktop-media-thumb {
    display: flex;
    justify-content: space-evenly;
    gap: 3rem;
}
.main_desktop_thumbnail_media {
    width: 55%;
}
.thumb_desktop_thumbnail_media {
    width: 20%;
}
.desktop_media_thumbnail .main_product_thumbnail_media {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}
.desktop_media_thumbnail .main_product_thumbnail_media.has_bg {
    width: 180px;
    max-height: 180px;
    background: var(--card-bg);
    border-radius: 50%;
    overflow: visible;    
    transform: rotate(-20deg);
}
.desktop_media_thumbnail .main_product_thumbnail_media img {
    width: 145px;
    position: relative;
    top: 0;
    left: 0;
    user-select: none;
    object-fit: contain;
    transition: all .3s ease-in-out;
}
.product_desktop_thumbnail_media .main_product_thumbnail_media.swiper-slide-thumb-active {
    border: 2px solid var(--border);
}
.desktop_media_thumbnail .product_desk_main_media a img {
    width: 100%;
    max-width: 320px;
    margin: 0 auto;
    height: 600px;
    object-fit: cover;
}
.product_desktop_thumbnail_media .main_product_thumbnail_media.swiper-slide-thumb-active img {
    width: 165px;
}
.desktop_media_thumbnail .main_product_desk_featured_image.has_bg {
    background: var(--card-bg);
    padding: 8rem 0;
    border-radius: var(--main_media_radius);
}

.main_product_gift_wrap {
    margin: 1.6rem 0;
}

.gift_wrap_field_input {
    display: flex;
    align-items: center;
    gap: 8px;
}

.gift_wrap_field_input input, .gift_wrap_field_input label {
    cursor: pointer;
}

/* MEDIA QUERIES */
@media screen and (max-width: 1750px) {
    .desktop-media-thumb {
        justify-content: flex-end;
        gap: 2rem;
    }
    .main_desktop_thumbnail_media {
        width: 65%;
    }
    .thumb_desktop_thumbnail_media {
        width: 30%;
    }
}
@media screen and (max-width: 1300px) {
    .desktop-media-thumb {
        justify-content: space-between;
        gap: 1rem;
    }
    .main_desktop_thumbnail_media {
        width: 70%;
    }
    .thumb_desktop_thumbnail_media {
        width: 30%;
    }
    .desktop_media_thumbnail .product_desk_main_media a img {
        max-width: 280px;
        height: 500px;
    }
    .desktop_media_thumbnail .main_product_desk_featured_image.has_bg {
        padding: 6rem 0;
    }
    .desktop_media_thumbnail .thumb_desktop_thumbnail_media .swiper-wrapper {
        height: 500px;
    }
    .desktop_media_thumbnail .main_product_thumbnail_media.has_bg {
        width: 145px !important;
        max-height: 145px;
    }
    .desktop_media_thumbnail .main_product_thumbnail_media img {
        width: 120px;
    }
    .product_desktop_thumbnail_media .main_product_thumbnail_media.swiper-slide-thumb-active img {
        width: 140px;
    }
}
@media screen and (max-width: 1199px) {
    .main_product_media_wrapper.media--large {
        max-width: 60%;
        flex: 1 1 60%;
    }

    .main_product_thumbnail_image, .main_product_thumbnail_video, .main_product_thumbnail_external_video, .main_product_thumbnail_model, .product_double_column_media_wrapper .main_product_featured_image {
        max-width: 100%;
        flex: 1 1 100%;
    }

    .product_double_column_media_wrapper .main_product_featured_video,
    .product_double_column_media_wrapper .main_product_featured_external_video,
    .product_double_column_media_wrapper .main_product_featured_model {
        max-width: 100%;
        flex: 1 1 100%;
    }

    .main_product_thumbnail_video video, .main_product_featured_video video {
        aspect-ratio: auto;
        max-height: 35rem;
    } 
    .main_product_inner.show_media2 .main_product_info{
        padding-left:0;
    }
}
 
@media screen and (max-width: 1024px) {
    span.is_product_section.product_block_price.body_text {
        font-size: 2rem;
    }  
}

@media screen and (max-width: 1023px) {
    /*---- DESKTOP PRODUCT THUMBNAIL Responsive -*/
    .desktop-media-thumb {
        flex-wrap: wrap;
    }
    .main_desktop_thumbnail_media {
        width: 100%;
    }
    .thumb_desktop_thumbnail_media {
        width: 100%;
    }
    .desktop_media_thumbnail .thumb_desktop_thumbnail_media .swiper-wrapper {
        height: 160px;
    }    
}

@media screen and (max-width: 989px) {
    .product_form_btns_wrapper {
        flex-flow: column;
    }
}

@media screen and (max-width: 768px) {
    .main_product_inner ,
    .main_product_inner.show_media2{
        flex-flow: column;
        gap: 2rem;
    }

    .main_product_media_wrapper {
        z-index: 0;
    }  

    .main_product_info {
        padding-left: 0;
    }

    .main_product_media_wrapper.media--small, .main_product_media_wrapper.media--medium, .main_product_media_wrapper.media--large,
    .main_product_info.media--small, .main_product_info.media--medium, .main_product_info.media--large {
        flex: 0 0 100%;
        max-width: 100%;
    }

    .main_product_thumbnails_media {
        display: none;
    }

    .desktop_media {
        display: none;
    }

    .mobile_media {
        display: block;
    }
    
    .product_mobile_thumbnail_media.single_media {
        display: none;
    }

    .main_product_mobile_featured_image.has_bg {
        background: var(--card-bg);
        border-radius: var(--img-border-radius);
    }

    .main_product_thumbnail_media.has_bg {
        background: var(--card-bg);
        border-radius: calc(var(--img-border-radius) / 2);
    }
    .product_media_desktop_wrapper.desktop_media_thumbnail {
        display: none;
    }
}

@media screen and (max-width: 640px) {
    span.is_product_section.product_block_price.body_text {
        font-size: 2rem;
    }

    .product_price_inner_main.product_section .product_block_cap {
        font-size: 1.4rem;
    }

    .product_block_badge.pc_badge_sale, .product_block_badge.pc_badge_sold_out {
        padding: 0.2rem 1.3rem;
    }

    .product_block_badge.pc_badge_sale span, .product_block_badge.pc_badge_sold_out span {
        font-size: 1.2rem;
    }

    .complementary_products_head h2 {
        font-size: 1.8rem;
    }

    .cp_arrows {
        display: none;
    }

    .complementary_products_inner .swiper-pagination {
        display: block;
    }

    .complementary_products_inner .swiper-pagination .swiper-pagination-bullet-active {
        background: var(--color-highlight);
    }

    .shopify-model-viewer-ui__controls-area.shopify-model-viewer-ui__controls-area--playing {
        opacity: 1 !important;
        display: flex !important;
    }

    .main_product_quantity_breaks_wrapper {
        max-width: 25rem;
    }

    .quantity_breaks_heading span, .quantity_breaks_content div span {
        padding: 5px 10px;
    }
